
%global meadversion 2.1
%global namedversion 2.1.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 8

%bcond_without mead

%define maven_version 2.1.redhat-3

Name:           apache-commons-io-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons IO
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: commons-io-2.1.redhat-3-scm-sources.zip
Source102: commons-io-2.1.redhat-3-src.tar.gz
Source103: commons-io-2.1.redhat-3-tests.jar
Source104: commons-io-2.1.redhat-3-test-sources.jar
Source105: commons-io-2.1.redhat-3-javadoc.jar
Source106: commons-io-2.1.redhat-3-bin.tar.gz
Source107: commons-io-2.1.redhat-3-src.zip
Source108: commons-io-2.1.redhat-3-sources.jar
Source109: commons-io-2.1.redhat-3-source-release.zip
Source110: commons-io-2.1.redhat-3-site.xml
Source111: commons-io-2.1.redhat-3-bin.zip
Source112: commons-io-2.1.redhat-3.pom
Source113: commons-io-2.1.redhat-3.jar
%endif

URL:            http://commons.apache.org/io/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-io-eap6-%{namedversion}-%{release}-root

%description
The Commons IO library contains utility classes, stream
implementations, file filters, file comparators and endian classes.

%prep
%setup -q -n commons-io -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/commons-io-eap6
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}.jar %{buildroot}%{_javadir}/commons-io-eap6/commons-io-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-io-eap6/commons-io-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/commons-io-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-io-eap6/commons-io-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/commons-io-eap6 && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n apache-commons-io-eap6
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%dir %{_javadir}/commons-io-eap6
%{_javadir}/commons-io-eap6/commons-io-%{namedversion}.jar
%{_javadir}/commons-io-eap6/commons-io.jar
%exclude %{_javadir}/commons-io-eap6/commons-io-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-io-eap6/commons-io-javadoc.jar
%{_javadir}/commons-io-eap6/commons-io-%{namedversion}-sources.jar
%{_javadir}/commons-io-eap6/commons-io-sources.jar

%changelog
* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 2.1-8.redhat_3.1
- fix dir

* Thu Jan 09 2014 David Walluck <dwalluck@redhat.com> - 2.1-8.redhat_3.1
- fix dir

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> - 2.1-7.redhat_3.1
- resubmit wrapper only

* Thu Dec 12 2013 David Walluck <dwalluck@redhat.com> 0:2.1-7
- convert to MEAD

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-6.redhat_2.1
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-5.redhat21.1
- Bump suffix

* Mon Jul 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-4.redhat_1.1
- Rebuild without signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-4.redhat_1
- Clean MANIFEST.MF

* Fri Apr 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-3.redhat_1
- Include sources in SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-1.redhat_1
- EAP6 Wrapper of apache-commons-io

